Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 226648

Summary: Merge Review: xorg-x11-xauth
Product: [Fedora] Fedora Reporter: Nobody's working on this, feel free to take it <nobody>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: ajax, notting, panemade, sandmann
Target Milestone: ---Keywords: Reopened
Target Release: ---Flags: panemade: fedora-review+
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-09-03 05:18:31 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
xorg-x11-xauth-spec-cleanup.patch none

Description Nobody's working on this, feel free to take it 2007-01-31 21:33:59 UTC
Fedora Merge Review: xorg-x11-xauth

http://cvs.fedora.redhat.com/viewcvs/devel/xorg-x11-xauth/
Initial Owner: sandmann@redhat.com

Comment 1 Parag AN(पराग) 2010-07-19 13:41:42 UTC
1) I will suggest this pacakge to follow current packaging guidelines and remove 
buildroot, %clean section and cleaning of build root in %install

2) See http://fedoraproject.org/wiki/Upgrade_paths_%E2%80%94_renaming_or_splitting_packages#Do_I_need_to_Provide_my_old_package_names.3F

I think we should remove provides and Obsoletes now. I can't find old packages built on koji.

3) also good to preserve timestamps when using install commands.

4) rpmlint on SRPM and RPM reports
xorg-x11-xauth.src: W: strange-permission mkxauth 0775
xorg-x11-xauth.src:24: W: unversioned-explicit-provides xauth
xorg-x11-xauth.src:25: W: unversioned-explicit-provides mkxauth
xorg-x11-xauth.src:27: W: unversioned-explicit-obsoletes XFree86-xauth
xorg-x11-xauth.src:27: W: unversioned-explicit-obsoletes mkxauth
xorg-x11-xauth.i686: W: obsolete-not-provided XFree86-xauth
xorg-x11-xauth.i686: W: obsolete-not-provided XFree86
xorg-x11-xauth.i686: W: self-obsoletion mkxauth obsoletes mkxauth
xorg-x11-xauth.i686: E: zero-length /usr/share/doc/xorg-x11-xauth-1.0.2/AUTHORS
xorg-x11-xauth.i686: E: zero-length /usr/share/doc/xorg-x11-xauth-1.0.2/README
xorg-x11-xauth.i686: E: zero-length /usr/share/doc/xorg-x11-xauth-1.0.2/NEWS

Comment 2 Parag AN(पराग) 2010-07-19 13:49:42 UTC
Created attachment 432892 [details]
xorg-x11-xauth-spec-cleanup.patch

I have tried to cleanup spec and here is patch which will fix above issues. Just need to add Changelog entry. and Fix permission for file mkxauth

Comment 3 Parag AN(पराग) 2010-07-19 13:50:16 UTC
Looks koji build is successful with new changes.
http://koji.fedoraproject.org/koji/taskinfo?taskID=2328928

Comment 4 Parag AN(पराग) 2010-08-02 15:06:34 UTC
sandmann ping

Comment 5 Parag AN(पराग) 2010-08-09 04:53:17 UTC
sandmann ping    
ajax ping

Comment 6 Parag AN(पराग) 2010-08-11 04:20:34 UTC
After repetitive pings on bz and IRC to sandmann and ajax, looking into discussion happened in yesterday's FESCo meeting where X/Desktop team members almost shown un-willingness to fix this review, I am pushing back this to NEW queue.

Comment 7 Adam Jackson 2010-08-30 20:11:57 UTC
Mostly addressed in F15.  The explicit provides are not removed though, all the X collection packages provide their binaries explicitly so people don't need to rely on a particular package providing them.

Comment 8 Parag AN(पराग) 2010-08-31 01:36:44 UTC
Looks no one yet officially reviewed this package. Not sure if recent approvals from FESCo allows to close the reviews without any reviewer reviewing changes.

So, I am re-opening this.

Comment 9 Parag AN(पराग) 2010-09-01 10:49:43 UTC
I think generally maintainer should provide koji build link for final review.

Comment 10 Parag AN(पराग) 2010-09-03 05:18:31 UTC
Thanks Ajax for the updated build. This package is reviewed now as requested changes are partially committed.

I see that rpmlint still showing
xorg-x11-xauth.x86_64: E: zero-length /usr/share/doc/xorg-x11-xauth-1.0.2/AUTHORS
xorg-x11-xauth.x86_64: E: zero-length /usr/share/doc/xorg-x11-xauth-1.0.2/README
xorg-x11-xauth.x86_64: E: zero-length /usr/share/doc/xorg-x11-xauth-1.0.2/NEWS

but zero-length files are harmless.

Closing this now.